\documentclass{scrartcl}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{lmodern}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{xcolor}
\usepackage{multirow}
\usepackage{float}
\usepackage{caption}
\usepackage{subcaption}
\usepackage{graphicx}
\usepackage[ruled,lined]{algorithm2e}
\usepackage{upgreek}
\usepackage{textcomp}
\usepackage{listings}
\usepackage{enumitem}
\usepackage{tikz}
\usetikzlibrary{calc}

\lstset { %
	language=C++,
	backgroundcolor=\color{black!5}, % set backgroundcolor
	basicstyle=\footnotesize,% basic font setting
}

\renewcommand\div{\operatorname*{div}}
\renewcommand\bar{\overline}%
\newcommand{\dy}{\,\mathrm  dy}
\newcommand{\dV}{\,\mathrm  dV}
\newcommand{\dx}{\,\mathrm d\vec x}
\newcommand{\da}{\,\mathrm d\vec a}
\newcommand{\dt}{\,\mathrm dt}
\newcommand{\ds}{\,\mathrm ds}
\newcommand\e{\mathrm{e}}
\def\L2{{\mathrm{L}^2}}
\def\H2{{\mathrm{H}^2}}
\def\H1{{\mathrm{H}^1}}
\def\Q{(0,T)\times\Omega}
\def\GateF{\vec F}
\def\GateFonedim{F}
\def\ConRHS{\vec G}
\def\PavRHS{\vec R}
\renewcommand{\d}{\mathrm{d}}
\def\Paragraph#1{\smallskip\paragraph{\bf #1}\smallskip}
\def\vec#1{\ensuremath{\mathchoice
		{\mbox{\boldmath$\displaystyle\mathbf{#1}$}}
		{\mbox{\boldmath$\textstyle\mathbf{#1}$}}
		{\mbox{\boldmath$\scriptstyle\mathbf{#1}$}}
		{\mbox{\boldmath$\scriptscriptstyle\mathbf{#1}$}}}}

% Structure
\newtheorem{theorem}{Theorem}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{remark}[theorem]{Remark}
\newtheorem{assumption}[theorem]{Assumption}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{document}
	\title{Code documentation}
	\maketitle

\section{Assemble classes before}
classes not files!\\
\input{AssembleBefore}
\section{Assemble classes restructured}
\input{AssembleRestructured}

\section{Solver restructuring}

In ElphySolver.hpp:\\
\input{SolverRestructured}



\end{document}
